petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMMoabGetVertexDofsBlocked

Gets the global degree-of-freedom for the first field (component) defined on an array of locally owned MOAB mesh vertices. It's utility is when performing Finite-Difference type calculations where vertex traversal is faster than element-wise assembly that is typically done in FEM calculations.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetVertexDofsBlocked(DM dm,PetscInt** dof)

Not Collective Many br

### Input Parameters

| dm | - the discretization manager object Many br

### Output Parameter

| dof | - the blocked global degree-of-freedom index array in the discrete representation (Vec, Mat) that is vertex-based based on local numbering Many br

Many br

### Keywords

discretization manager, get, blocked degrees of freedom

### See Also

DMMoabGetVertexDofsBlockedLocal(), DMMoabGetDofsBlocked(), DMMoabGetDofsBlockedLocal()

Level:intermediate
Location:src/dm/impls/moab/dmmbfield.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages